// Copyright 2023-2023 Gentoo Authors
// Distributed under the terms of the GNU General Public License v2

namespace GdmtShared.SimpleLog

module SimpleLog =
    open System

    type MessageType =
        | Debug
        | Error
        | Success

    let LogMessage (messsageType: MessageType) (messageContents: string) =
        let time = DateTime.Now.ToString("HH:mm:ss")

        let indicator =
            match messsageType with
            | MessageType.Debug -> "DBG"
            | MessageType.Error -> "ERR"
            | MessageType.Success -> "OK "

        printfn " [%s %s] %s" time indicator messageContents
